Bug 998737 - /var/spool/hylafax has incorrect ownership and other hylafax+ RPM problems
/var/spool/hylafax has incorrect ownership and other hylafax+ RPM problems
Status: NEW
Product: Fedora
Classification: Fedora
Component: hylafax+ (Show other bugs)
28
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Lee Howard
Fedora Extras Quality Assurance
: Reopened
Depends On: 1101325
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 20:15 EDT by Raman Gupta
Modified: 2018-02-20 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version: hylafax+-5.5.5-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 23:05:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raman Gupta 2013-08-19 20:15:59 EDT
First of all, its great that hylafax+ is now available as an RPM in Fedora. However, I had some issues actually using it, and thought I would report them here.

1) The hfaxd service seems to require the "uucp" user to be created in /etc/passwd even though the RPM seems to create an "adm" user. If the "uucp" user does not exist in /etc/passwd, then hfaxd reports:

Aug 19 19:39:53 x HylaFAX[29439]: No fax user "uucp" defined on your system!

and fails to start. A "standard" way of creating this user on Fedora is to install the "uucp" package, but I think hfaxd and faxd should be consistent, and not depend on the "uucp" user.

2) /var/spool/hylafax is created by the RPM with root:root ownership.

When starting the faxq service, these permissions do not allow faxq to create the FIFO. The message.log shows:

Aug 19 19:13:10 x FaxQueuer[28515]: Could not create FIFO: Permission denied.

Doing chown -R adm /var/spool/hylafax resolves the issue. HOWEVER, once the "uucp" user is created (see #1 above), now faxq wants uucp as well. So chown -R uucp /var/spool/hylafax is then needed.

3) The hylafax+ RPM does not install any faxgetty service. Since I understand why it might not since it may be system-specific, a README.fedora file would be useful in /usr/share/doc/hylafax+-*/ to indicate the necessary step of creating the faxgetty service.

Thanks!
Comment 1 Lee Howard 2014-04-24 13:36:37 EDT
Adding uucp to both Requires and BuildRequires will resolve #1 and #2.  I've committed the change to master, and a release is upcoming.  I agree that a dependency on uucp is a bit deprecated, however, to overcome that dependency HylaFAX+ will need modification upstream.  Such a change is not something that I want to do in the Fedora package only within the RPM (but rather within the HylaFAX+ source code proper).  Unfortunately, I am not able to prioritize that development at the moment (contributions welcome), and so the uucp dependency must remain.

As for #3... it would be possible to modify the hylafax+ startup script to also start faxgettys for each configured modem.  This is how it is done in the Debian package.  I'm not a fan of the exact method that Debian followed in doing that - as I'd prefer it to use inittab/upstart/systemd instead of simply daemonizing faxgetty (since the auto-restart done by init/upstart/systemd is often useful and preferred).  However, this amounts to a feature request more than a bug report, and again, as I am not able to prioritize that development (contributions welcome), I'll need to leave this as-is.
Comment 2 Fedora Update System 2014-05-28 11:44:57 EDT
hylafax+-5.5.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hylafax+-5.5.5-1.fc19
Comment 3 Fedora Update System 2014-05-28 11:46:04 EDT
hylafax+-5.5.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hylafax+-5.5.5-1.fc20
Comment 4 Fedora Update System 2014-05-28 11:46:55 EDT
hylafax+-5.5.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/hylafax+-5.5.5-1.el5
Comment 5 Fedora Update System 2014-05-28 11:47:33 EDT
hylafax+-5.5.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hylafax+-5.5.5-1.el6
Comment 6 Fedora Update System 2014-05-28 14:02:10 EDT
Package hylafax+-5.5.5-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing hylafax+-5.5.5-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1517/hylafax+-5.5.5-1.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-09 23:05:10 EDT
hylafax+-5.5.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-06-09 23:07:19 EDT
hylafax+-5.5.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-06-12 19:34:55 EDT
hylafax+-5.5.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-06-12 19:35:40 EDT
hylafax+-5.5.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Pavel Raiskup 2018-01-30 11:12:22 EST
(In reply to Raman Gupta from comment #0)
> First of all, its great that hylafax+ is now available as an RPM in Fedora.
> However, I had some issues actually using it, and thought I would report
> them here.
> 
> 1) The hfaxd service seems to require the "uucp" user to be created in
> /etc/passwd even though the RPM seems to create an "adm" user. If the "uucp"
> user does not exist in /etc/passwd, then hfaxd reports:
> 
> Aug 19 19:39:53 x HylaFAX[29439]: No fax user "uucp" defined on your system!

Whould this be solved by..

  Requires(pre): uucp

?

I'm asking because I'm thinking about dropping the %ghost [1] hack
in uucp.spec.  That comes from bug 1101325.
 
[1] https://src.fedoraproject.org/rpms/uucp/c/c58bea626ec9be1e96ca00ae3c3faa46a61eea4c

I'm bit afraid that it could bring regression if things in hylafax+ stayed
as-is.
Comment 12 Lee Howard 2018-01-30 12:59:45 EST
You've reopened a 3+ year-old bug.

Is there a problem with "Requires: uucp" and "BuildRequires: uucp" ?

Why do you consider %ghost to be a hack, and why do you feel inclined to drop it?  Why change something that is working?
Comment 13 Pavel Raiskup 2018-01-31 08:46:11 EST
(In reply to Lee Howard from comment #12)
> You've reopened a 3+ year-old bug.

Yes I know, sorry, but IMO that's the best I can do in such situations.
 
> Is there a problem with "Requires: uucp" and "BuildRequires: uucp" ?

It doesn't _guarantee_ you that your %pre scriptlet will have uucp
installed.  That's matter of "luck" basically.
 
> Why do you consider %ghost to be a hack, and why do you feel inclined to
> drop it?  Why change something that is working?

Good question, thanks.  I think I was inspired by lockdev package, and
I'm inclined to consider it is hack because it goes against the guidelines
on [1].  I'm not sure, some additional observation is needed.  After the
time, I'm not sure how these two bugs are actually related...

[1] https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 14 Fedora End Of Life 2018-02-20 10:30:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Note You need to log in before you can comment on or make changes to this bug.